<?php
/**
 * The template for displaying search results pages.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package Super_Blog
 */

get_header(); ?>
<?php $sidebar = get_theme_mod('sidebar', 'right-siderbar'); 
$primary_class = 'col-sm-8';
 if ( ! is_active_sidebar( 'sidebar-1' ) || 'no-sidebar' == $sidebar ){
 	$primary_class = 'col-sm-12';
 }

?>
<div class="<?php echo esc_attr( $primary_class );?>">
	<section id="primary" class="content-area">
		<main id="main" class="site-main" role="main">

		<?php
		if ( have_posts() ) : ?>

			<header class="page-header">
				<h1 class="page-title"><?php printf( esc_html__( 'Search Results For: %s', 'super-blog' ), '<span>' . get_search_query() . '</span>' ); ?></h1>
			</header><!-- .page-header -->

			<?php
			/* Start the Loop */
			while ( have_posts() ) : the_post();

				/**
				 * Run the loop for the search to output the results.
				 * If you want to overload this in a child theme then include a file
				 * called content-search.php and that will be used instead.
				 */
				get_template_part( 'template-parts/content', 'search' );

			endwhile;


			$pagination_option = get_theme_mod( 'pagination_option', 'default' );
			if( 'default' == $pagination_option){
				the_posts_navigation();	
			} else{
	            the_posts_pagination( array(
	                'mid_size' => 5,
	                'prev_text' => esc_html__( 'PREV', 'super-blog' ),
	                'next_text' => esc_html__( 'NEXT', 'super-blog' ),
	            ) );
			}

		else :

			get_template_part( 'template-parts/content', 'none' );

		endif; ?>

		</main><!-- #main -->
	</section><!-- #primary -->
</div>
<?php
get_sidebar();
get_footer();
